### Hierarchy

- BhxBrowser

## Index

### Properties

- lastError

### Methods

- checkMatchesGlobExpression
- checkMatchesUriExpression
- clearLastError
- currentWindowId
- fireExtensionApiTelemetry
- genericFunction
- genericSynchronousFunction
- getExtensionId
- getThisAddress
- registerGenericFunctionCallbackHandler
- registerGenericListenerHandler
- setLastError
- webPlatformGenericFunction

## Properties

### lastError

lastError: DOMException

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2178

## Methods

### checkMatchesGlobExpression

- checkMatchesGlobExpression(pattern: string, value: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2179

  #### Parameters

  - ##### pattern: string

  - ##### value: string

  #### Returns boolean

### checkMatchesUriExpression

- checkMatchesUriExpression(pattern: string, value: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2180

  #### Parameters

  - ##### pattern: string

  - ##### value: string

  #### Returns boolean

### clearLastError

- clearLastError(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2181

  #### Returns void

### currentWindowId

- currentWindowId(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2182

  #### Returns number

### fireExtensionApiTelemetry

- fireExtensionApiTelemetry(functionName: string, isSucceeded: boolean, isSupported: boolean, errorString: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2183

  #### Parameters

  - ##### functionName: string

  - ##### isSucceeded: boolean

  - ##### isSupported: boolean

  - ##### errorString: string

  #### Returns void

### genericFunction

- genericFunction(functionId: number, destination: any, parameters?: undefined | string, callbackId?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2184

  #### Parameters

  - ##### functionId: number

  - ##### destination: any

  - ##### Optional parameters: undefined | string

  - ##### Optional callbackId: undefined | number

  #### Returns void

### genericSynchronousFunction

- genericSynchronousFunction(functionId: number, parameters?: undefined | string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2185

  #### Parameters

  - ##### functionId: number

  - ##### Optional parameters: undefined | string

  #### Returns string

### getExtensionId

- getExtensionId(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2186

  #### Returns string

### getThisAddress

- getThisAddress(): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2187

  #### Returns any

### registerGenericFunctionCallbackHandler

- registerGenericFunctionCallbackHandler(callbackHandler: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2188

  #### Parameters

  - ##### callbackHandler: Function

  #### Returns void

### registerGenericListenerHandler

- registerGenericListenerHandler(eventHandler: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2189

  #### Parameters

  - ##### eventHandler: Function

  #### Returns void

### setLastError

- setLastError(parameters: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2190

  #### Parameters

  - ##### parameters: string

  #### Returns void

### webPlatformGenericFunction

- webPlatformGenericFunction(destination: any, parameters?: undefined | string, callbackId?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2191

  #### Parameters

  - ##### destination: any

  - ##### Optional parameters: undefined | string

  - ##### Optional callbackId: undefined | number

  #### Returns void

Generated using TypeDoc